Page MenuHomePhabricator

Enable DiscussionTools on jawiki
Closed, ResolvedPublic

Description

Please enable DiscussionTools on Japanese Wikipedia as the community has reached consensus.

See: https://ja.wikipedia.org/wiki/Wikipedia:%E4%BA%95%E6%88%B8%E7%AB%AF/subj/%E8%BF%94%E4%BF%A1%E3%83%84%E3%83%BC%E3%83%AB%E3%82%92%E3%83%99%E3%83%BC%E3%82%BF%E6%A9%9F%E8%83%BD%E3%81%A8%E3%81%97%E3%81%A6%E5%B0%8E%E5%85%A5%E3%81%99%E3%82%8B%E6%8F%90%E6%A1%88

This task is about enabling the Reply Tool at ja.wiki as a Beta Feature.

Timing

17-September-2020

Requirements

Testing details

Done

  • The "Requirements" described above are met
  • ja.wiki has shared a "prototypical" discussion page, the contents of which the Editing Team can use to QA the Reply Tool
  • ja.wiki has has configured to the Reply Tool (e.g. indentation and signature syntax) to match their local conventions

Event Timeline

patilise created this task.Aug 31 2020, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2020, 3:16 PM
ppelberg updated the task description. (Show Details)Sep 10 2020, 6:43 PM
patilise updated the task description. (Show Details)Sep 11 2020, 3:11 AM
ppelberg updated the task description. (Show Details)Sep 11 2020, 9:32 PM
ppelberg moved this task from Backlog to Community Engagement on the Editing-team (Tracking) board.
ppelberg updated the task description. (Show Details)

Update: 11-Sep
Yesterday, @Whatamidoing-WMF talked about needing ja.wiki to:

  • Share a link to a "prototypical" discussion page, the contents of which, the Editing Team can use to QA the Reply Tool
  • Configure the Rely Tool (e.g. indentation and signature syntax) to match their local conventions

I've updated the task description to include these next steps and I'm assigning this task over to Sherry to communicate with volunteers at ja.wiki about the above.

Tacsipacsi updated the task description. (Show Details)Sep 12 2020, 11:57 AM
Tacsipacsi added a subscriber: Tacsipacsi.
patilise updated the task description. (Show Details)Sep 13 2020, 3:09 PM
  • Prototypical discussion page: Not sure what exactly is needed, so I created [[w:ja:Wikipedia‐ノート:井戸端/subj/返信ツールをベータ機能として導入する提案]] and stated that it is for testing purpose at the top of the page. Let me know if you need any changes.
  • Configuration: Created [[w:ja:MediaWiki:Discussiontools-signature-prefix]]. Anything else?

I think that's everything, @patilise.

The team is hoping to make this change during the coming week for jawiki and viwiki. I'm not sure exactly which day, and it's not listed at https://wikitech.wikimedia.org/wiki/Deployments#Week_of_September_07 yet, but Wednesday or Thursday are the most likely days.

Change 627289 had a related patch set uploaded (by Esanders; owner: Esanders):
[operations/mediawiki-config@master] Enable DiscussionTools beta on jawiki & viwiki

https://gerrit.wikimedia.org/r/627289

  • Prototypical discussion page: Not sure what exactly is needed, so I created [[w:ja:Wikipedia‐ノート:井戸端/subj/返信ツールをベータ機能として導入する提案]] and stated that it is for testing purpose at the top of the page. Let me know if you need any changes.

We appreciate you doing this, @patilise!

Would it be okay for us to add some conversations written in Japanese [i] to the page you created [ii]?

I ask this because one objective of the testing we do is to ensure the [ reply ] links appear on talk pages correctly. For us to be confident the [ reply ] links are indeed appearing as they should, we find it useful to test the tool on pages that contain content written in the language that is native to the project. In this case, Japanese.


i. I thought we might copy and paste some content from the "Community portal" talk page: https://w.wiki/cGk
ii. https://w.wiki/cGj

ppelberg updated the task description. (Show Details)Sep 16 2020, 12:43 AM
ppelberg updated the task description. (Show Details)

Deployment timing
We'd like for the Reply Tool to be made available as a Beta Feature at ja.wiki this Thursday, 17-September.

Note: We'll use this task to confirm the Reply Tool is available as a Beta Feature post-deployment and conduct more thorough testing in T262989.

Change 627289 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DiscussionTools beta on jawiki & viwiki

https://gerrit.wikimedia.org/r/627289

Mentioned in SAL (#wikimedia-operations) [2020-09-17T18:10:15Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 40591d3dfdc2fc360cb060770677a48e2a53362c: Enable DiscussionTools beta on jawiki & viwiki (T261654; T262109) (duration: 00m 56s)

matmarex added a subscriber: matmarex.

The beta feature is available now, and seems to be working fine at a glance.

  • Prototypical discussion page: Not sure what exactly is needed, so I created [[w:ja:Wikipedia‐ノート:井戸端/subj/返信ツールをベータ機能として導入する提案]] and stated that it is for testing purpose at the top of the page. Let me know if you need any changes.

We appreciate you doing this, @patilise!

Would it be okay for us to add some conversations written in Japanese [i] to the page you created [ii]?

I ask this because one objective of the testing we do is to ensure the [ reply ] links appear on talk pages correctly. For us to be confident the [ reply ] links are indeed appearing as they should, we find it useful to test the tool on pages that contain content written in the language that is native to the project. In this case, Japanese.


i. I thought we might copy and paste some content from the "Community portal" talk page: https://w.wiki/cGk
ii. https://w.wiki/cGj

I guess it is too late to reply but yes, please go ahead.

I guess it is too late to reply but yes, please go ahead.

Great. Thank you, @patilise; I've added the content in this edit: https://w.wiki/cgP.

In case you are curious, QA will be happening in this task: T262989.

ppelberg closed this task as Resolved.Sep 21 2020, 1:15 AM
ppelberg claimed this task.